BHYVECTL(8)

NAME
bhyvectl - control utility for bhyve instances

SYNOPSIS
bhyvectl --vm=<vmname> [--create] [--destroy] [--get-stats] [--inject-nmi] [--force-reset] [--force-poweroff]

DESCRIPTION
The bhyvectl command is a control utility for active bhyve(8) virtual machine instances.

Note: Most bhyvectl flags are intended for querying and setting the state of an active instance. These commands are intended for development purposes, and are not documented here. A complete list can be obtained by executing bhyvectl without any arguments.

The user-facing options are as follows:

--vm=<vmname>
    Operate on the virtual machine <vmname>.

--create
    Create the specified VM.

--destroy
    Destroy the specified VM.

--get-stats
    Retrieve statistics for the specified VM.

--inject-nmi
    Inject a non-maskable interrupt (NMI) into the VM.

--force-reset
    Force the VM to reset.

--force-poweroff
    Force the VM to power off.

EXIT STATUS

EXAMPLES
Destroy the VM called fbsd10:

    bhyvectl --vm=fbsd10 --destroy

SEE ALSO
bhyve(8), bhyveload(8)

HISTORY
The bhyvectl command first appeared in FreeBSD 10.1.

AUTHORS
-nosplit The bhyvectl utility was written by Peter Grehan and Neel Natu.